ExecutableMeasurementPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ExecutableMeasurementPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ExecutableMeasurementPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.MeasurementPlugin
              org.hyperic.hq.product.ExecutableMeasurementPlugin

    public class ExecutableMeasurementPlugin

extends MeasurementPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.MeasurementPlugin
`PROP_TEMPLATE_CONFIG, TYPE_COLLECTOR`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ExecutableMeasurementPlugin()`

Method Summary
`Collector` | `getNewCollector()`

Methods inherited from class org.hyperic.hq.product.MeasurementPlugin
`getCollectorProperties, getConfigSchema, getHelp, getManager, getMeasurementProperties, getMeasurements, getPlatformHelpProperties, getPluginXMLHelp, getValue, init, translate`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutableMeasurementPlugin

    public ExecutableMeasurementPlugin()

Method Detail

### getNewCollector

    public Collector getNewCollector()

  Overrides:
    `getNewCollector` in class `MeasurementPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.